src/main/java/dw2/tema6/project/model/Coordinator.java
package dw2.tema6.project.model;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.Transient;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;

import dw2.tema6.common.model.User;

@Entity
public class Coordinator extends User {
	
	@OneToMany(mappedBy="coordinator", fetch = FetchType.EAGER)
	@Fetch(FetchMode.SUBSELECT)
	private List<Project> projects;

	public List<Project> getProjects() {
		return projects;
	}

	public void setProjects(List<Project> projects) {
		this.projects = projects;
	}
	
	/**
	 * @return the running projects completion percentage based on {@link #projects} progress average ranging from 0 to 1
	 * @see Project
	 */
	@Transient
	public Float getProjectsProgress() {
		if (projects.size() == 0) return 0f;
		Float progressSum = 0f;
		for (Project project : projects) {
			progressSum += project.getProgress();
		}
		return progressSum / projects.size();
	}
}

src/main/java/dw2/tema6/system/model/Activity.java
package dw2.tema6.system.model;

import javax.persistence.Entity;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Transient;

@Entity
public class Activity {
	
	public enum Status {
		TO_DO,
		DOING,
		TO_APPROVE,
		REJECTED,
		DONE;
		
		public Boolean getCanBegin() {
			return this == Status.TO_DO || this == Status.REJECTED;
		}

		public Boolean getCanFinishOrCancel() {
			return this == Status.DOING;
		}

		public Boolean getCanApproveOrDisapprove() {
			return this == Status.TO_APPROVE;
		}
	}
	
	@Id
	@GeneratedValue
	private long code;
	private String description;
	private String estimatedDuration;
	
	@Enumerated
	private Status status = Status.TO_DO;
	
	@ManyToOne
	private Analyst analyst;
	
	@ManyToOne
	private System system;

	public long getCode() {
		return code;
	}

	public void setCode(long code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getEstimatedDuration() {
		return estimatedDuration;
	}

	public void setEstimatedDuration(String estimatedDuration) {
		this.estimatedDuration = estimatedDuration;
	}

	public Status getStatus() {
		return status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

	public Analyst getAnalyst() {
		return analyst;
	}

	public void setAnalyst(Analyst analyst) {
		this.analyst = analyst;
	}

	public System getSystem() {
		return system;
	}

	public void setSystem(System system) {
		this.system = system;
	}
	
	/**
	 * @return the completion percentage based on current {@link #status} ranging from 0 to 1
	 * @see Status
	 */
	@Transient
	public Float getProgress() {
		switch (status) {
		case DOING:
			return 1f / 3;
			
		case TO_APPROVE:
			return 2f / 3;
			
		case DONE:
			return 1f;

		default:
			return 0f;
		}
	}
}

src/main/java/dw2/tema6/system/model/Analyst.java
package dw2.tema6.system.model;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.Transient;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;

import dw2.tema6.common.model.User;

@Entity
public class Analyst extends User {
	
	@OneToMany(mappedBy="analyst", fetch = FetchType.EAGER)
	@Fetch(FetchMode.SUBSELECT)
	private List<Activity> activities;

	public List<Activity> getActivities() {
		return activities;
	}

	public void setActivities(List<Activity> activities) {
		this.activities = activities;
	}
	
	/**
	 * @return the tasks completion percentage based on {@link #activities} progress average ranging from 0 to 1
	 * @see Activity
	 */
	@Transient
	public Float getActivitiesProgress() {
		if (activities.size() == 0) return 0f;
		Float progressSum = 0f;
		for (Activity activity : activities) {
			progressSum += activity.getProgress();
		}
		return progressSum / activities.size();
	}
	
	@Override
	public boolean equals(Object obj) {
		if (super.equals(obj)) return true;
		if (obj.getClass() != this.getClass()) return false;
		if (getCode() != ((Analyst) obj).getCode()) return false;
		return true;
	}
}

src/main/java/dw2/tema6/system/model/AnalystRepository.java
package dw2.tema6.system.model;

import java.util.ArrayList;
import java.util.List;

import dw2.tema6.common.PersistenceManager;

public abstract class AnalystRepository {
	
	public static Analyst getAnalyst(Long code) {
		return PersistenceManager.find(Analyst.class, code);
	}
	
	public static List<Analyst> getAllAnalysts() {
		final List<Analyst> analysts = new ArrayList<>();
		PersistenceManager.performQuery("select analyst from Analyst analyst",
				query -> analysts.addAll(query.getResultList()));
		return analysts;
	}
}

src/main/java/dw2/tema6/common/controller/AdminController.java
package dw2.tema6.common.controller;

import java.util.Arrays;
import java.util.Collections;

import javax.faces.bean.ManagedBean;

import dw2.tema6.auth.EncryptionHelper;
import dw2.tema6.auth.model.Account;
import dw2.tema6.auth.model.AccountRepository;
import dw2.tema6.common.InteractionManager;
import dw2.tema6.common.PersistenceManager;
import dw2.tema6.common.model.User;
import dw2.tema6.common.utils.Strings;
import dw2.tema6.project.model.Coordinator;
import dw2.tema6.system.model.Analyst;

@ManagedBean
public class AdminController {
	
	public enum UserType {
		COMMON,
		COORDINATOR,
		ANALYST,
		ADMIN;
	}

	private String name;
	private String login;
	private String password;
	private String passwordConfirmation;
	private UserType userType;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPasswordConfirmation() {
		return passwordConfirmation;
	}

	public void setPasswordConfirmation(String passwordConfirmation) {
		this.passwordConfirmation = passwordConfirmation;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType userType) {
		this.userType = userType;
	}
	
	public UserType[] getUserTypes() {
		return UserType.values();
	}

	public String save() throws Exception {
		if (inputContainsError()) {
			InteractionManager.showError("fill_fields_correctly");
			return "/admin_home";
		}
		
		if (AccountRepository.getAccount(login) != null) {
			InteractionManager.showError("login_already_in_use");
			return "/admin_home";
		}
		
		User user;

		switch (userType) {
		case COORDINATOR:
			user = new Coordinator();
			break;
			
		case ANALYST:
			user = new Analyst();
			break;

		default:
			user = new User();
			break;
		}
		
		user.setName(name);
		
		Account account = new Account();
		account.setLogin(login);
		account.setPasswordHash(EncryptionHelper.generateSecureHash(password));
		account.setAdmin(userType == UserType.ADMIN);
		account.setUser(user);
		
		PersistenceManager.persist(Arrays.asList(user, account));
		
		InteractionManager.showInfo("user_added");
		return "/admin_home";
	}
	
	private Boolean inputContainsError() {
		return Strings.isEmptyOrNull(name) ||
				Strings.isEmptyOrNull(login) ||
				Strings.isEmptyOrNull(password) ||
				!password.equals(passwordConfirmation);
	}
}

src/main/java/dw2/tema6/common/controller/LocalizationController.java
package dw2.tema6.common.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.Map;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.component.UIViewRoot;
import javax.faces.context.FacesContext;
import javax.faces.event.AjaxBehaviorEvent;

import dw2.tema6.common.InteractionManager;

@ManagedBean
@SessionScoped
public class LocalizationController {
	private String currentLanguage;

	public String getCurrentLanguage() {
		if (currentLanguage != null)
			return currentLanguage;
		if (InteractionManager.getCurrentSession().getAttribute("language") == null) {
			InteractionManager.getCurrentSession().setAttribute("language", getViewRoot().getLocale().getLanguage());
		}
		return currentLanguage = (String) InteractionManager.getCurrentSession().getAttribute("language");
	}

	public void setCurrentLanguage(String currentLanguage) {
		this.currentLanguage = currentLanguage;
		getViewRoot().setLocale(new Locale(currentLanguage));
		InteractionManager.getCurrentSession().setAttribute("language", currentLanguage);
	}

	public List<LocalizedLocale> getSupportedLocalizedLocales() {
		List<LocalizedLocale> supportedLocales = new ArrayList<>();
		FacesContext.getCurrentInstance().getApplication().getSupportedLocales()
				.forEachRemaining(locale -> supportedLocales.add(new LocalizedLocale(locale, getCurrentLocale())));
		return supportedLocales;
	}

	public Locale getCurrentLocale() {
		return new Locale(getCurrentLanguage());
	}

	private static UIViewRoot getViewRoot() {
		FacesContext context = FacesContext.getCurrentInstance();
		return context.getViewRoot();
	}

	public class LocalizedLocale {
		private Locale locale;
		private Locale localization;

		public LocalizedLocale(Locale locale, Locale localization) {
			this.locale = locale;
			this.localization = localization;
		}

		public Locale getLocale() {
			return locale;
		}

		public String getLocalizedDisplayLanguage() {
			return locale.getDisplayLanguage(localization);
		}
	}
}

src/main/java/dw2/tema6/common/controller/servicerequest/ServiceRequestCreationController.java
package dw2.tema6.common.controller.servicerequest;

import javax.faces.bean.ManagedBean;

import dw2.tema6.auth.controller.AuthController;
import dw2.tema6.common.InteractionManager;
import dw2.tema6.common.PersistenceManager;
import dw2.tema6.common.model.ServiceRequest;
import dw2.tema6.common.model.User;
import dw2.tema6.common.utils.Strings;

@ManagedBean
public class ServiceRequestCreationController {
	private String description;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String save() {
		if (inputContainsError()) {
			InteractionManager.showError("fill_fields_correctly");
			return "";
		}
		
		User user = AuthController.getLoggedUser();
		ServiceRequest request = new ServiceRequest();
		request.setDescription(description);
		request.setRequester(user);
		
		PersistenceManager.persist(request);

		InteractionManager.showInfo("request_sent");
		return "";
	}
	
	private Boolean inputContainsError() {
		return Strings.isEmptyOrNull(description);
	}
}

src/main/java/dw2/tema6/common/controller/servicerequest/ServiceRequestListController.java
package dw2.tema6.common.controller.servicerequest;

import java.util.List;

import javax.faces.bean.ManagedBean;

import dw2.tema6.auth.controller.AuthController;
import dw2.tema6.common.model.ServiceRequest;
import dw2.tema6.common.model.ServiceRequestRepository;
import dw2.tema6.common.model.User;

@ManagedBean
public class ServiceRequestListController {

	public List<ServiceRequest> getMyRequests() {
		User user = AuthController.getLoggedUser();
		return user.getRequests();
	}

	public List<ServiceRequest> getPendingRequests() {
		return ServiceRequestRepository.getAllPendingRequests();
	}
}

src/main/java/dw2/tema6/project/controller/ProjectCreationController.java
package dw2.tema6.project.controller;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import dw2.tema6.auth.controller.AuthController;
import dw2.tema6.common.PersistenceManager;
import dw2.tema6.common.model.ServiceRequest;
import dw2.tema6.project.model.Coordinator;
import dw2.tema6.project.model.Project;

@ManagedBean
@ViewScoped
public class ProjectCreationController {
	private ServiceRequest serviceRequest;

	public ServiceRequest getServiceRequest() {
		return serviceRequest;
	}

	public void setServiceRequest(ServiceRequest serviceRequest) {
		this.serviceRequest = serviceRequest;
	}

	public String create() {
		Coordinator coordinator = (Coordinator) AuthController.getLoggedUser();
		
		Project project = new Project();
		project.setCoordinator(coordinator);
		PersistenceManager.persist(project);
		
		serviceRequest.setProject(project);
		PersistenceManager.update(serviceRequest);
		
		return "project_details?faces-redirect=true&id=" + project.getNumber();
	}
}

src/main/java/dw2/tema6/project/controller/ProjectDetailsController.java
package dw2.tema6.project.controller;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.AjaxBehaviorEvent;

import dw2.tema6.common.PersistenceManager;
import dw2.tema6.project.model.Project;
import dw2.tema6.system.model.System;

@ManagedBean
@ViewScoped
public class ProjectDetailsController {
	private Long projectNumber;
	private Project project;
	private String description;
	
	public Long getProjectNumber() {
		return projectNumber;
	}

	public void setProjectNumber(Long projectNumber) {
		this.projectNumber = projectNumber;
		project = PersistenceManager.find(Project.class, projectNumber);
		description = project.getDescription();
	}
	
	public Project getProject() {
		return project;
	}
	
	public void setProject(Project project) {
		this.project = project;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
		project.setDescription(description);
	}

	public void didChangeValue(AjaxBehaviorEvent event) {
		PersistenceManager.update(project);
	}

	public String addSystem() {
		System system = new System();
		system.setProject(project);
		system.setAcronym(project.getNumber() + "-" + project.getSystems().size());
		PersistenceManager.persist(system);
		
		project.getSystems().add(system);
		PersistenceManager.update(project);
		
		return "system_details?faces-redirect=true&id=" + system.getAcronym();
	}
}

src/main/java/dw2/tema6/project/controller/ProjectListController.java
package dw2.tema6.project.controller;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import dw2.tema6.auth.controller.AuthController;
import dw2.tema6.common.PersistenceManager;
import dw2.tema6.project.model.Coordinator;
import dw2.tema6.project.model.Project;

@ManagedBean
@ViewScoped
public class ProjectListController {
	public List<Project> getMyProjects() {
		Coordinator coordinator = (Coordinator) AuthController.getLoggedUser();
		return coordinator.getProjects();
	}
}

src/main/java/dw2/tema6/system/controller/ActivityDetailsController.java
package dw2.tema6.system.controller;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.AjaxBehaviorEvent;

import dw2.tema6.common.InteractionManager;
import dw2.tema6.common.PersistenceManager;
import dw2.tema6.system.model.Activity;
import dw2.tema6.system.model.Analyst;
import dw2.tema6.system.model.AnalystRepository;

@ManagedBean
@ViewScoped
public class ActivityDetailsController {
	private Long activityCode;
	private Activity activity;
	private String description;
	private String estimatedDuration;
	private Analyst analyst;
	private Analyst previousAnalyst;

	public Long getActivityCode() {
		return activityCode;
	}

	public void setActivityCode(Long activityCode) {
		this.activityCode = activityCode;
		activity = PersistenceManager.find(Activity.class, activityCode);
		description = activity.getDescription();
		estimatedDuration = activity.getEstimatedDuration();
		analyst = activity.getAnalyst();
	}

	public Activity getActivity() {
		return activity;
	}

	public void setActivity(Activity activity) {
		this.activity = activity;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
		activity.setDescription(description);
	}

	public String getEstimatedDuration() {
		return estimatedDuration;
	}

	public void setEstimatedDuration(String estimatedDuration) {
		this.estimatedDuration = estimatedDuration;
		activity.setEstimatedDuration(estimatedDuration);
	}

	public Analyst getAnalyst() {
		return analyst;
	}

	public void setAnalyst(Analyst analyst) {
		this.analyst = analyst;
		previousAnalyst = activity.getAnalyst();
		activity.setAnalyst(analyst);
		
		if (previousAnalyst != null) {
			previousAnalyst.getActivities().remove(activity);
		}
		
		if (analyst != null) {
			analyst.getActivities().add(activity);
		}
	}

	public List<Analyst> getAllAnalysts() {
		return AnalystRepository.getAllAnalysts();
	}
	
	public void didChangeValue(AjaxBehaviorEvent event) {
		save();
	}

	public void save() {
		PersistenceManager.update(activity);
		
		if (previousAnalyst != null) {
			PersistenceManager.update(previousAnalyst);
		}
		
		if (analyst != null) {
			PersistenceManager.update(analyst);
		}
	}

	public String approve() {
		activity.setStatus(Activity.Status.DONE);
		save();
		return "";
	}

	public String disapprove() {
		activity.setStatus(Activity.Status.REJECTED);
		save();
		return "";
	}
}

src/main/webapp/activity_details.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<f:metadata>
		<f:viewParam name="id"
			value="#{activityDetailsController.activityCode}" />
	</f:metadata>

	<ui:define name="content">
		<h:outputLabel value="#{strings.projects_progress}: " />
		<h:outputLabel value="#{authController.currentUser.projectsProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h:form>
			<h:link value="#{strings.back}"
				outcome="system_details?faces-redirect=true">
				<f:param name="id"
					value="#{activityDetailsController.activity.system.acronym}" />
			</h:link>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.activity_details}:" />
			</h3>
			<br />

			<h:outputLabel value="#{strings.project_number}: " />
			<h:outputLabel
				value="#{activityDetailsController.activity.system.project.number}" />
			<br />

			<h:outputLabel value="#{strings.system_acronym}: " />
			<h:outputLabel
				value="#{activityDetailsController.activity.system.acronym}" />
			<br />

			<h:outputLabel value="#{strings.activity_code}: " />
			<h:outputLabel value="#{activityDetailsController.activity.code}" />
			<br />

			<h:outputLabel value="#{strings.status}: " />
			<h:outputLabel
				value="#{strings[activityDetailsController.activity.status]}" />
			<br />

			<h:outputLabel value="#{strings.analyst}: " for="analyst_field" />
			<h:selectOneMenu value="#{activityDetailsController.analyst}"
				id="analyst_field" converter="analystConverter">
				<f:selectItems value="#{activityDetailsController.allAnalysts}"
					var="analyst" itemValue="#{analyst}"
					itemLabel="#{analyst.code} - #{analyst.name}" />
				<f:selectItem itemLabel="#{strings.empty_selection}"
					noSelectionOption="true" itemDisabled="true" />
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:selectOneMenu>
			<br />

			<h:outputLabel value="#{strings.estimated_duration}: "
				for="duration_field" />
			<h:inputText value="#{activityDetailsController.estimatedDuration}"
				id="duration_field">
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:inputText>
			<br />

			<h:outputLabel value="#{strings.description}: "
				for="description_field" />
			<br />
			<h:inputTextarea value="#{activityDetailsController.description}"
				id="description_field">
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:inputTextarea>
			<br />

			<h:panelGroup id="approval_buttons"
				rendered="#{activityDetailsController.activity.status.canApproveOrDisapprove}">
				<h:commandButton value="#{strings.approve}"
					action="#{activityDetailsController.approve}" />

				<h:commandButton value="#{strings.disapprove}"
					action="#{activityDetailsController.disapprove}" />
			</h:panelGroup>
		</h:form>
	</ui:define>
</ui:composition>

src/main/webapp/admin_home.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="content">
		<br />
		<h3>
			<h:outputLabel value="#{strings.user_registration}:" />
		</h3>
		<br />

		<h:form>
			<h:outputLabel value="#{strings.name}: " for="name_field" />
			<h:inputText value="#{adminController.name}" id="name_field" />
			<br />

			<h:outputLabel value="#{strings.employee_type}: " for="type_field" />
			<h:selectOneMenu value="#{adminController.userType}" id="type_field">
				<f:selectItems value="#{adminController.userTypes}" var="type"
					itemValue="#{type}" itemLabel="#{strings[type]}" />
			</h:selectOneMenu>
			<br />

			<h:outputLabel value="#{strings.login}: " for="login_field" />
			<h:inputText value="#{adminController.login}" id="login_field" />
			<br />

			<h:outputLabel value="#{strings.password}: " for="password_field" />
			<h:inputSecret value="#{adminController.password}"
				id="password_field" />
			<br />

			<h:outputLabel value="#{strings.password_confirmation}: "
				for="password_confirmation_field" />
			<h:inputSecret value="#{adminController.passwordConfirmation}"
				id="password_confirmation_field" />
			<br />

			<h:commandButton value="#{strings.save}"
				action="#{adminController.save}" />
		</h:form>
		<br />

		<h3>
			<h:outputLabel value="#{strings.request_creation}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_creation.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_requests}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>

src/main/webapp/analyst_home.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="content">
		<h:outputLabel value="#{strings.activities_progress}: " />
		<h:outputLabel
			value="#{authController.currentUser.activitiesProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h3>
			<h:outputLabel value="#{strings.request_creation}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_creation.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_requests}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_list.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_activities}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/analyst/activity_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>

src/main/webapp/common_home.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="content">
		<br />
		<h3>
			<h:outputLabel value="#{strings.request_creation}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_creation.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_requests}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>

src/main/webapp/coordinator_home.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="content">
		<h:outputLabel value="#{strings.projects_progress}: " />
		<h:outputLabel value="#{authController.currentUser.projectsProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h3>
			<h:outputLabel value="#{strings.request_creation}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_creation.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_requests}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_list.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.pending_requests}:" />
		</h3>
		<div>
			<ui:include
				src="/WEB-INF/coordinator/service_request_pending_list.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_projects}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/coordinator/project_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>